Name:		qdigidoc
Version:	3.5.0
Release:	%mkrel 2
Summary:	Estonian digital signature application

Group:		Office
License:	LGPLv2
URL:		http://id.eesti.ee
# svn export https://svn.eesti.ee/projektid/idkaart_public/branches/3.5/qdigidoc qdigidoc-3.5.0 && tar cjf qdigidoc-3.5.0.tar.bz2 qdigidoc-3.5.0
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-extensions.patch

BuildRequires:	cmake
BuildRequires:	libdigidocpp-devel
BuildRequires:	openldap-devel
BuildRequires:	qt4-devel
Requires:	opensc
Requires:	ccid
Requires:	pcsc-lite


%description
QDigiDoc is an application for digitally signing and encrypting documents in
BDoc, DDoc, and CDoc container formats. These file formats are widespread in
Estonia where they are used for storing legally binding digital signatures.


%package	nautilus
Summary:	Nautilus extension for %{name}
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-python


%description	nautilus
The %{name}-nautilus package contains the %{name} extension for the
nautilus file manager.


%prep
%setup -q
%patch0 -p1 -b extensions


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
# Fix linking
LDFLAGS="-Wl,--copy-dt-needed-entries"
export LDFLAGS
%{cmake} ../..
popd

%make -C %{_target_platform}/build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C %{_target_platform}/build

%find_lang nautilus-qdigidoc


%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/kde4/services/*.desktop

%files nautilus -f nautilus-qdigidoc.lang
%{_datadir}/nautilus-python/extensions/*




%changelog

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-2.mga2
+ Revision: 193404
- rebuild for missing signature

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-1.mga2
+ Revision: 193332
- new version: 3.5.0
- rebuild for new libp11

* Sat Apr 23 2011 sander85 <sander85> 3.4.0-1.mga1
+ Revision: 89945
- imported package qdigidoc

